footer {
    padding-top: 0;
}

footer > section:first-child {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 var(--side_padding);
}

.contact {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    margin-top: 1vw;
}

.contact > article {
    display: flex;
    flex-direction: column;
    row-gap: 0.4vw;
}

.map {
    width: 100%;
    height: 20vh;
    border-radius: 10px;
    margin: 1vw 0;
}

.contact > article > p > a{
    font-size: clamp(15px, 1.3vw, 30px) !important;
    font-weight: normal !important;
}

.footer_end {
    display: flex;
    flex-direction: row;
    border-top: 1px solid var(--greybackground);
    width: calc(100% - 2*var(--side_padding));
    margin: 0 var(--side_padding);
    justify-content: space-between;
}

.footer_end > p {
    font-size: clamp(4px, 1.3vw, 30px);
    padding: 0.5vw 0;
    color: rgb(126, 126, 126);
}   

@media screen and (max-width: 2000px) {
    .map {
        height: 15vw;
    }
}

@media screen and (max-width: 480px) {
    footer {
        padding-top: 20px;
    }

    .contact > article {
        row-gap: 3px;
    }

    .contact > article > p {
        font-size: clamp(13px, 2.8vw, 15px) !important;
    }

    .contact > article > p > b{
        font-size: clamp(13px, 2.8vw, 15px) !important;
    }
    .contact > article > p > a{
        font-size: clamp(13px, 2.8vw, 15px) !important;
    }
    
    .map {
        height: 30vw;
        margin-top: 15px;
    }

    .footer_end > p {
        font-size: clamp(10px, 3vw, 15px) !important;
        padding: 0.5vw 0;
    }  
    
}